package net.northking.cctp.element.desktop.enums;

import com.alibaba.fastjson.JSON;
import net.northking.cctp.element.core.type.EnumClass;

import java.util.*;

/**
 * <p>Title: BooleanEnum</p>
 * <p>Description: Boolean类型</p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2022/10/17
 * <p>Copyright: NorthKing@RPA（C）2020 版权</p>
 */

public enum BooleanEnum implements EnumClass {
    /**
     * true
     */
    True("true", true),
    /**
     * false
     */
    False("false", false);

    private String key;

    private Boolean value;

    BooleanEnum(String key, Boolean value){
        this.key = key;
        this.value = value;
    }

    @Override
    public String getEnumData() {
        List<Map<String,Object>> result = new ArrayList<>();
        for (BooleanEnum nullEnum : EnumSet.allOf(BooleanEnum.class)) {
            Map<String,Object> one = new HashMap();
            one.put("label",nullEnum.key);
            one.put("value",nullEnum.value);
            result.add(one);
        }
        return JSON.toJSONString(result);
    }
}
